<template>
<div class="Contact">
  <div class="port_contact_setions" id="scroll_contact"> <!-- start Contact section  -->
    <div class="contact_section">
        <div class="container">
            <div class="port_contact_mainbox">
                <div class="row" >
                    <div class="col-md-12 text-center prt_bottompadder40 ">
                        <div class="port_hadding_style_sec ">
                            <h2 class="port_head_wrapper">My Contact</h2>
                        </div>
                    </div>
                    <div class="col-12">
                        <div class="port_contact_form">
                            <form>
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <input type="text" name="first_name" 
                                            class="form-control require" id="name" 
                                            placeholder="First name"
                                            v-model="userData.first_name">
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <input type="text" name="last_name" 
                                            class="form-control require" id="last-name" 
                                            placeholder="Last name" 
                                            v-model="userData.last_name">
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <input type="email"
                                             name="email" 
                                             class="form-control require" 
                                             id="email" 
                                             placeholder="Email Address" 
                                             data-valid="email" data-error="Email 
                                             should be valid." 
                                             v-model="userData.email">
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <input type="text" name="subject" 
                                            class="form-control require" id="subject" 
                                            placeholder="Subject"
                                            v-model="userData.subject">
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <div class="form-group">
                                            <textarea  name="message" 
                                            class="form-control require" rows="2" id="comment" 
                                            placeholder="Message"
                                            v-model="userData.message"></textarea>
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <div class="banner_btn">
                                            <button type="button" data-type="contact" 
                                            class="portfolio_btn btn_red submitForm"
                                            @click.prevent="submitted">
                                                <span class="first_text">Submit</span>
                                                <span class="second_text">Send</span>
                                            </button>
                                        </div>
                                    </div>
                                     
                                    <div class="response">
                                       <div class="row" v-if="isSubmitted">
                                            <div class="col-lg-4 col-md-6 text-center">
                                                <div class="port_services_box_wrapper" >
                                                    <div class="port_services_box"></div>
                                                        <h2 class="project_heading">اطلاعات وارد شده </h2>
                                                        <p class="project_pera">{{userData.first_name}}</p>
                                                        <p class="project_pera">{{userData.last_name}}</p>
                                                        <p class="project_pera">{{userData.email}}</p>
                                                        <p class="project_pera">{{userData.subject}}</p>
                                                        <p class="project_pera">{{userData.message}}</p>
                                                        <ul dir="rtl">
                                                            <li></li>
                                                        </ul>
                                                    </div>	
                                                        
                                                </div>
                                            </div>
                                        <!-- </div> -->
                                    </div>
                                </div>
                            </form>
                      
                        </div>	
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
  
</div><!-- End Contact section  -->
</template>

<script>

export default {
    name : "Contact",
    data: function(){
        return{
            userData:{
                first_name : '',
                last_name : '',
                email : '',
                subject : '',
                message: '',
                
            },
            isSubmitted : false ,
        }


    },
    methods : {
        submitted(){
            this.isSubmitted = true
        }
    }

}
</script>

<style>

</style>